add marshalling support for Mutex
09/27/2011 04:54 AM - sunaku (Suraj Kurapati)

Status: Rejected
Priority: Normal
Assignee:

Target version: 2.0.0
Description

Hello,

Please add marshalling support for the Mutex class:
$irb

Marshal.dump(Mutex.new)
TypeError: no marshal_dump is defined for class Mutex
from (irb):1:in dump' from (irb):1 from /usr/bin/irb:12:in"'

Here is the workaround | am currently using:

class Mutex

def marshal_dump
1l
end

def marshal_load array
# do nothing

end

end

Thanks for your consideration.

History

#1 - 09/27/2011 10:29 AM - kosaki (Motohiro KOSAKI)

Hello,
Please add marshalling support for the Mutex class:
$irb

Marshal.dump(Mutex.new)
'I:erEArrqr: no marshal_dump isAdeAfinAedAfor class Mutgx o
A A A Afrom (irb):1:indump' A A A Afrom (irb):1 A A A A from /usr/bin/irb:12:in"

Because of, Almost all OSs don't have a way to restore mutex locking state.
| have no idea how implement it. ;-)

Here is the workaround | am currently using:

class Mutex

A def marshal_dump
AAq

Aend

A def marshal_load array
A A # do nothing

Aend

end
Thanks for your consideration.

Hmmm??
It seems locking state lost. Is this acceptable?

#2 - 03/27/2012 03:24 AM - mame (Yusuke Endoh)
- Status changed from Open to Rejected

There is no feedback or revised proposal from OP.
| close this as Rejected.

Yusuke Endoh mame@tsg.ne.jp
